=== lumps/playpal/Makefile ===
playpal.lmp: playpal-base.lmp playpal.py
	./playpal.py playpal-base.lmp > playpal.lmp
	cp playpal.lmp ../

clean:
	rm -f playpal.lmp ../playpal.lmp

.PHONY: clean
