=== debian/changelog ===
freedoom (0.11.3-1) unstable; urgency=medium

  * New upstream point release to support building with
    deutex >= 5.0.0 beta2. No other changes from 0.11.2.
  * Update the spelling of my name in debian/control.

 -- Jonathan Dowland <jmtd@debian.org>  Tue, 25 Jul 2017 22:44:54 +0100

freedoom (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Fabian Greffrath <fabian@debian.org>  Sun, 18 Jun 2017 21:27:23 +0200

freedoom (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1 (Closes: #855921).
    + Fixes trigger not working properly on C2M9 (Closes: #827117).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 08 Mar 2017 22:06:43 +0100
