=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>,
 Jonathan Dowland <jmtd@debian.org>
Build-Depends:
 asciidoc-base,
 debhelper (>= 9),
 deutex (>= 5.0.0~beta.2),
 docbook-xsl,
 docbook-xml,
 gsfonts,
 imagemagick,
 python (>= 2.7),
 xsltproc
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedoom.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freedoom.git
Homepage: http://freedoom.github.io/

Package: freedm
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | doom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 doom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: multiplayer deathmatch game for Doom-compatible engines
 The Freedoom project aims to produce three base-game data files
 (IWADs) for Doom-compatible engines.  With it comes the
 capability to also play the wide range of mods created for Doom
 by a vibrant community.
 .
 FreeDM is a fast-paced set of levels designed for multiplayer
 deathmatches, part of the Freedoom project.  Challenge your
 friends to the most torturous test of their abilities as you
 navigate through 32 levels stalking and hunting them.
 .
 FreeDM is fully compatible with Doom II mods.

Package: freedoom
Architecture: all
Multi-Arch: foreign
Depends:
 prboom-plus | boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: two single player campaigns for Doom-compatible engines
 The Freedoom project aims to produce three base-game data files
 (IWADs) for Doom-compatible engines.  With it comes the
 capability to also play the wide range of mods created for Doom
 by a vibrant community.
 .
 Freedoom: Phase 1 contains four chapters, nine levels each, to
 provide a smoothly-paced first person action game.  In it is a
 wide variety of mazes and enemies to fight and challenge your
 reflexes.
 .
 Freedoom: Phase 2 is a 32-level game, expanding upon Phase 1 and
 adding a double-barrelled shotgun and more enemy types, along
 with even more brutal gameplay to really test your limits.
 .
 Freedoom: Phase 1 is fully compatible with The Ultimate Doom mods.
 Freedoom: Phase 2 is fully compatible with Doom II and Final Doom mods.
