=== debian/changelog ===
freedoom (0.12.1-2) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 May 2020 10:19:40 +0100

freedoom (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * Adapt packaging to build system changes.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 Nov 2019 16:43:35 +0100

freedoom (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Update Vcs-* fields to point to the salsa repository.
  * Switch from python and imagemagick to python3 and python3-pil
    (Closes: #936554).
  * Switch from asciidoc to asciidoctor and add ruby-asciidoctor-pdf
    for the manual.
  * Build with SHELL="bash" for the "command" command.
  * Drop package relations that are satisfied since at least oldoldstable.
  * Remove debian/clean, package cleans up itself now.
  * Freedoom Phase 1 and 2 have turned from Boom compatible to Vanilla Doom
    compatible, so provide doom-wad and require a doom-engine.
  * Drop legacy symlinks to the old IWAD file names.
  * Account for using reverse-DNS for the project identifier in the desktop
    and metainfo files.
  * Rules-Requires-Root: no.
  * Fix insecure debian/copyright format URL.
  * Include pkg-info.mk instead of parsing debian/changelog in debian/rules.
  * Install the manual in PDF format.
  * Run "wrap-and-sort -asb".
  * Fix privacy-breach-generic lintian warnings in the HTML documentation.
  * Add /usr/share/doc to debian/not-installed, we install the documentation
    manually.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 12 Oct 2019 17:33:49 +0200
