=== debian/control ===
--- 
+++ 
@@ -2,23 +2,19 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders:
- Fabian Greffrath <fabian@debian.org>,
- Jonathan Dowland <jmtd@debian.org>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- asciidoc-base,
- debhelper (>= 9),
+ asciidoctor,
+ debhelper-compat (= 12),
  deutex (>= 5.0.0~beta.2),
- docbook-xsl,
- docbook-xml,
- gsfonts,
- imagemagick,
- python (>= 2.7),
- xsltproc
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/freedoom.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freedoom.git
+ python3,
+ python3-pil,
+ ruby-asciidoctor-pdf
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/games-team/freedoom.git
+Vcs-Browser: https://salsa.debian.org/games-team/freedoom
 Homepage: http://freedoom.github.io/
+Rules-Requires-Root: no
 
 Package: freedm
 Architecture: all
@@ -26,12 +22,8 @@
 Depends:
  prboom-plus | doom-engine,
  ${misc:Depends}
-Pre-Depends:
- dpkg (>= 1.15.6~)
 Provides:
  doom-wad
-Breaks:
- prboom (<< 2:2.5.0+dfsg1-5)
 Description: multiplayer deathmatch game for Doom-compatible engines
  The Freedoom project aims to produce three base-game data files
  (IWADs) for Doom-compatible engines.  With it comes the
@@ -49,14 +41,10 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- prboom-plus | boom-engine,
+ prboom-plus | doom-engine,
  ${misc:Depends}
-Pre-Depends:
- dpkg (>= 1.15.6~)
 Provides:
- boom-wad
-Breaks:
- prboom (<< 2:2.5.0+dfsg1-5)
+ doom-wad
 Description: two single player campaigns for Doom-compatible engines
  The Freedoom project aims to produce three base-game data files
  (IWADs) for Doom-compatible engines.  With it comes the
