=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)
export PATH

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		ADOCOPTS="" \
		ASCIIDOC="asciidoctor" \
		ASCIIDOC_MAN="asciidoctor -b manpage" \
		VERSION=$(DEB_VERSION) \
		SHELL="bash -Eeuo pipefail"

override_dh_auto_install:
	$(MAKE) install-freedm -- \
		DESTDIR=$(CURDIR)/debian/freedm \
		prefix=/usr \
		bindir=/games \
		ADOCOPTS="" \
		ASCIIDOC="asciidoctor" \
		ASCIIDOC_MAN="asciidoctor -b manpage" \
		VERSION=$(DEB_VERSION) \
		SHELL="bash -Eeuo pipefail"
	
	$(MAKE) install-freedoom -- \
		DESTDIR=$(CURDIR)/debian/freedoom \
		prefix=/usr \
		bindir=/games \
		ADOCOPTS="" \
		ASCIIDOC="asciidoctor" \
		ASCIIDOC_MAN="asciidoctor -b manpage" \
		VERSION=$(DEB_VERSION) \
		SHELL="bash -Eeuo pipefail"
	
	# fix privacy-breach-generic
	sed -e '/googleapis.com/d' -i debian/*/usr/share/doc/*/*.html
	
	# we have debian/copyright for this
	find debian/ -name 'COPYING' -delete
